<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Custom Table Toggle</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <style>
        .parent-container {
            position: relative;
            width: 100%; /* Parent container takes full width */
        }
        .table-container {
            display: none; /* Initially hide the table */
            position: absolute;
            top: 100%;
            left: 0;
            width: 100%; /* Table width matches input width */
            z-index: 1000;
            background-color: white;
            border: 1px solid #ccc;
            border-radius: 0.25rem;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }
        .table-responsive {
            max-height: 200px; /* Limit the height of the table */
            overflow-y: auto;
        }
    </style>
</head>
<body>
    <div class="container mt-5">
        <div class="parent-container">
            <div class="input-group">
                <input type="text" class="form-control" placeholder="Enter something...">
                <div class="input-group-append">
                    <button class="btn btn-secondary" id="toggleButton" type="button">
                        Toggle Table
                    </button>
                </div>
            </div>
            <div class="table-container" id="tableContainer">
                <div class="table-responsive">
                    <table class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Email</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>1</td>
                                <td>John Doe</td>
                                <td>john@example.com</td>
                            </tr>
                            <tr>
                                <td>2</td>
                                <td>Jane Smith</td>
                                <td>jane@example.com</td>
                            </tr>
                            <tr>
                                <td>3</td>
                                <td>Bob Johnson</td>
                                <td>bob@example.com</td>
                            </tr>
                            <!-- Add more rows as needed -->
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <!-- jQuery (required for the toggle functionality) -->
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

    <script>
        $(document).ready(function(){
            $('#toggleButton').click(function(){
                $('#tableContainer').toggle(); // Show/hide the table on button click
            });
        });
    </script>
</body>
</html>
